Bug 1789240 - Enable AzureRm plugin by default in satellite-installer
Summary: Enable AzureRm plugin by default in satellite-installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-09 07:31 UTC by Aditi Puntambekar
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: satellite-installer-6.7.0.6-1.beta
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:44 UTC

Description Aditi Puntambekar 2020-01-09 07:31:11 UTC
Description of problem:
Currently, the foreman_azure_rm plugin and it's cli- hammer_cli_foreman_azure_rm plugin, both have to be enabled separately by running:

satellite-installer --enable-foreman-plugin-azure ----enable-foreman-cli-azure

But, these two plugins should be enabled by default when user runs satellite-installer.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. satellite-installer --enable-foreman-plugin-azure ----enable-foreman-cli-azure

Actual results:
Separately needed to provide options to enable the plugins.


Expected results:
Both plugins should be enabled by default just with satellite-installer command.


Additional info:

Comment 4 vijsingh 2020-01-16 07:31:17 UTC
ON_QA Verified


@Satellite 6.7.0 snap 8.0

 -> Default is 'True' now.


[root@qe-sat6-bm1 ~]# satellite-installer --help |grep azure
    --[no-]enable-foreman-cli-azure Enable 'foreman_cli_azure' puppet module (default: true)
    --[no-]enable-foreman-plugin-azure Enable 'foreman_plugin_azure' puppet module (default: true)

[root@qe-sat6-bm1 ~]# hammer compute-resource create --help|grep -i azure
 --app-ident APP_IDENT                       Client ID for AzureRm
 --provider PROVIDER                         Providers include Libvirt, Ovirt, EC2, Vmware, Openstack, GCE, AzureRm
 --secret-key SECRET_KEY                     Client Secret for AzureRm
 --sub-id SUB_ID                             Subscription ID for AzureRm
 --tenant TENANT                             For RHEL OpenStack Platform and AzureRM only
[root@qe-sat6-bm1 ~]#

Comment 7 errata-xmlrpc 2020-04-14 13:28:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.